%define _prefix /

Summary: PowerPC Linux system utilities
Name: pmac-utils
Version: 2.1
Release: 5.ydl.3
Group: Applications/System
License: GPL
Source: pmac-utils-%{version}.tar.gz
Patch0: pmac-utils-2.1-ydl.patch
BuildRoot: %{_tmppath}/pmac-utils-%{version}
Conflicts: pmud <= 0.7.1-4
Requires: fileutils
ExclusiveArch: ppc

%description
PowerPC Linux specific applications including macos (a script to reboot to the
mac OS), nvsetenv (a tool to manipulate Open Firmware variables), and nvvideo (a
tool to manipulate the video settings stored in PRAM).

%prep
%setup -n pmac-utils-%{version}
%patch0 -p1

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root) 
/sbin/macos
/sbin/nvsetenv
/sbin/nvvideo
%{_prefix}/usr/share/man/man8/macos.8*
%{_prefix}/usr/share/man/man8/nvsetenv.8*
%{_prefix}/usr/share/man/man8/nvvideo.8*
%{_prefix}/usr/share/man/man8/vmode.8*

%changelog
* Thu Jun 29 2006 Tim Renner <trenner@terrasoftsolutions.com>
- Rebuild for YDL5

* Wed Oct 26 2005 Dan Burcaw <dan@ydl.net>
- Copyright -> License

* Sun Mar 09 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- Rebuild

* Wed Oct 02 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- rebuild for Anubis

* Sun Feb 24 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- added conflicts

* Tue Jan 15 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- removed trackpad
- moved man pages to %{_prefix}/share
- added macos disclaimer
 
* Tue Apr 04 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- silence /dev/nvram creation

* Fri Mar 30 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- added fileutils to Requires(post) for chmod and mknod

* Tue Feb 20 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- added trackpad

* Fri Nov 17 2000 Hollis Blanchard <hollis@yellowdoglinux.com>
- re-added vmode.8 (some video drivers still use Mac video modes)
- integrated nvsetenv compatibility patch
- removed mousemode and mousemode.8
- minor spec modifications

* Tue Jul  4 2000 Hollis Blanchard <hollis@andrew.cmu.edu>
- incorporated Klaus Halfmann's New World nvram additions (w/ compatibility patch)
- re-added macos and macos.8 (now that nvsetenv works again)
- hacked up pmac-utils-1.1.1. Removed:
  - vmode (use fbset)
  - sndvolmix (doesn't work; use aumix etc)
  (mousemode is probably no longer necessary but probably still works)
- hacked up Makefile
- fixed nvsetenv.8 (major/minor "1yy/10" -> "10/144")
- postinstall /dev/nvram if it does not exist

* Sun Feb 27 2000 Dan Burcaw <dburcaw@yellowdoglinux.com>
- removed macos and macos.8

* Fri Jul 10 1998 Matt McLean <keys@yikes.com>
- rework spec
- move mousemode and vmode to /sbin
- remove fdeject, obsolete
- update mousemode
